Notus API
Fiat

Create Fiat Quote

This endpoint creates a fiat quote for both deposit and withdrawal operations.

POST
/api/v2/fiat/quote

Authorization

x-api-key
x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/fiat/quote" \  -H "Content-Type: application/json" \  -d '{    "from": {      "currency": "BRL"    },    "to": {      "currency": "BRZ"    },    "chainId": 0,    "entityId": "12345678-1234-1234-1234-123456789012",    "walletAddress": "string"  }'
{  "from": {    "currency": "USDC",    "amount": "100.50"  },  "to": {    "currency": "BRL",    "amount": "550.75"  },  "quoteId": "123e4567-e89b-12d3-a456-426614174000",  "chain": {    "id": 137,    "name": "POLYGON",    "logo": "https://logopolygon.com"  },  "type": "DEPOSIT",  "expiresAt": "2024-01-01T12:00:00.000Z",  "isEstimate": false}